<?xml version="1.0" encoding="UTF-8"?><schema> 
 	 <ns uri="http://www.nist.gov/x73DIM" prefix="dim"/>
 <pattern name="Authorized objects">
 <rule context="//dim:OBJECT_NAME">
 <assert test="(.='Simple_MDS' and @Label='Cardiovasculor fitness and activity monitor')or(.='Enumeration' and @Label='Activity time')or(.='Enumeration' and @Label='Program identifier')or(.='Enumeration' and @Label='Session')or(.='Enumeration' and @Label='Sub-Session')or(.='Numeric' and @Label='Activity intensity')or(.='Numeric' and @Label='Age')or(.='Numeric' and @Label='Altitude')or(.='Numeric' and @Label='Altitude gain')or(.='Numeric' and @Label='Altitude loss')or(.='Numeric' and @Label='Ascent time and distance')or(.='Numeric' and @Label='Breathing Rate')or(.='Numeric' and @Label='Cadence')or(.='Numeric' and @Label='Calories ingested')or(.='Numeric' and @Label='Carbohydrate calories ingested')or(.='Numeric' and @Label='Descent time and distance')or(.='Numeric' and @Label='Distance')or(.='Numeric' and @Label='Energy expended')or(.='Numeric' and @Label='Heart Rate')or(.='Numeric' and @Label='Height')or(.='Numeric' and @Label='Incline')or(.='Numeric' and @Label='Latitude')or(.='Numeric' and @Label='Longitude')or(.='Numeric' and @Label='Max user heart rate')or(.='Numeric' and @Label='Power')or(.='Numeric' and @Label='Resistence')or(.='Numeric' and @Label='Slopes')or(.='Numeric' and @Label='Speed')or(.='Numeric' and @Label='Stride length')or(.='Numeric' and @Label='Sustained phys activity threshhold')or(.='Numeric' and @Label='Weight')">
 "<value-of select="."/>:<value-of select="@Label"/>" object is not allowed</assert></rule></pattern>
 <pattern name="Simple_MDS node"> 
 	 <rule context="//dim:Simple_MDS[dim:OBJECT_NAME/@Label='Cardiovasculor fitness and activity monitor']/dim:Attribute_Info"> 
 	 <assert test="dim:Dev-Configuration-Id"> "Dev-Configuration-Id" must appear at least one as part of  the "Simple_MDS:Cardiovasculor fitness and activity monitor" object </assert>
 	 <assert test="dim:Dev-Configuration-Id/dim:Qual = 'M'"> "Dev-Configuration-Id" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Simple_MDS:Cardiovasculor fitness and activity monitor" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:System-Id"> "System-Id" must appear at least one as part of  the "Simple_MDS:Cardiovasculor fitness and activity monitor" object </assert>
 	 <assert test="dim:System-Id/dim:Qual = 'M'"> "System-Id" qual must be M" </assert>
 	 <assert test="dim:System-Model"> "System-Model" must appear at least one as part of  the "Simple_MDS:Cardiovasculor fitness and activity monitor" object </assert>
 	 <assert test="dim:System-Model/dim:Qual = 'M'"> "System-Model" qual must be M" </assert>
 	 <assert test="dim:System-Type-Spec-List"> "System-Type-Spec-List" must appear at least one as part of  the "Simple_MDS:Cardiovasculor fitness and activity monitor" object </assert>
 	 <assert test="dim:System-Type-Spec-List/dim:Qual = 'M'"> "System-Type-Spec-List" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Activity time']/dim:Attribute_Info"> 
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid"> "Enum-Observed-Value-Simple-Oid" must appear at least one as part of  the "Enumeration:Activity time" object </assert>
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid/dim:Qual = 'M'"> "Enum-Observed-Value-Simple-Oid" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Activity time" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Measure-Active-Period"> "Measure-Active-Period" must appear at least one as part of  the "Enumeration:Activity time" object </assert>
 	 <assert test="dim:Measure-Active-Period/dim:Qual = 'M'"> "Measure-Active-Period" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Activity time" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Program identifier']/dim:Attribute_Info"> 
 	 <assert test="dim:Enum-Observed-Value-Simple-Str"> "Enum-Observed-Value-Simple-Str" must appear at least one as part of  the "Enumeration:Program identifier" object </assert>
 	 <assert test="dim:Enum-Observed-Value-Simple-Str/dim:Qual = 'M'"> "Enum-Observed-Value-Simple-Str" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Program identifier" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Program identifier" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Session']/dim:Attribute_Info"> 
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid"> "Enum-Observed-Value-Simple-Oid" must appear at least one as part of  the "Enumeration:Session" object </assert>
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid/dim:Qual = 'M'"> "Enum-Observed-Value-Simple-Oid" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Session" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Measure-Active-Period"> "Measure-Active-Period" must appear at least one as part of  the "Enumeration:Session" object </assert>
 	 <assert test="dim:Measure-Active-Period/dim:Qual = 'M'"> "Measure-Active-Period" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Session" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Sub-Session']/dim:Attribute_Info"> 
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid"> "Enum-Observed-Value-Simple-Oid" must appear at least one as part of  the "Enumeration:Sub-Session" object </assert>
 	 <assert test="dim:Enum-Observed-Value-Simple-Oid/dim:Qual = 'M'"> "Enum-Observed-Value-Simple-Oid" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Sub-Session" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Measure-Active-Period"> "Measure-Active-Period" must appear at least one as part of  the "Enumeration:Sub-Session" object </assert>
 	 <assert test="dim:Measure-Active-Period/dim:Qual = 'M'"> "Measure-Active-Period" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Sub-Session" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Activity intensity']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Activity intensity" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Activity intensity" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Activity intensity" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Activity intensity" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Activity intensity" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Age']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Age" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Age" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Age" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Age" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Age" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Altitude']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Altitude" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Altitude" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Altitude" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Altitude" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Altitude" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Altitude gain']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Altitude gain" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Altitude gain" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Altitude gain" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Altitude gain" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Altitude gain" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Altitude loss']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Altitude loss" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Altitude loss" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Altitude loss" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Altitude loss" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Altitude loss" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Ascent time and distance']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Ascent time and distance" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Ascent time and distance" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Ascent time and distance" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Ascent time and distance" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Ascent time and distance" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Breathing Rate']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Breathing Rate" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Breathing Rate" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Breathing Rate" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Breathing Rate" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Breathing Rate" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Cadence']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Cadence" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Cadence" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Cadence" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Cadence" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Cadence" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Calories ingested']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Calories ingested" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Calories ingested" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Calories ingested" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Calories ingested" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Calories ingested" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Carbohydrate calories ingested']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Carbohydrate calories ingested" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Carbohydrate calories ingested" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Carbohydrate calories ingested" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Carbohydrate calories ingested" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Carbohydrate calories ingested" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Descent time and distance']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Descent time and distance" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Descent time and distance" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Descent time and distance" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Descent time and distance" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Descent time and distance" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Distance']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Distance" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Distance" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Distance" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Distance" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Distance" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Energy expended']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Energy expended" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Energy expended" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Energy expended" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Energy expended" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Energy expended" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Heart Rate']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Heart Rate" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Heart Rate" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Heart Rate" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Heart Rate" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Heart Rate" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Height']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Height" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Height" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Height" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Height" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Height" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Incline']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Incline" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Incline" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Incline" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Incline" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Incline" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Latitude']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Latitude" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Latitude" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Latitude" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Latitude" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Latitude" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Longitude']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Longitude" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Longitude" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Longitude" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Longitude" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Longitude" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Max user heart rate']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Max user heart rate" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Max user heart rate" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Max user heart rate" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Max user heart rate" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Max user heart rate" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Power']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Power" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Power" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Power" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Power" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Power" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Resistence']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Resistence" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Resistence" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Resistence" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Resistence" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Resistence" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Slopes']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Slopes" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Slopes" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Slopes" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Slopes" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Slopes" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Speed']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Speed" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Stride length']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Stride length" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Id"> "Metric-Id" must appear at least one as part of  the "Numeric:Stride length" object </assert>
 	 <assert test="dim:Metric-Id/dim:Qual = 'M'"> "Metric-Id" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Stride length" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Stride length" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Stride length" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Sustained phys activity threshhold']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Sustained phys activity threshhold" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Sustained phys activity threshhold" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Sustained phys activity threshhold" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Sustained phys activity threshhold" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Sustained phys activity threshhold" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Weight']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Weight" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Metric-Spec-Small"> "Metric-Spec-Small" must appear at least one as part of  the "Numeric:Weight" object </assert>
 	 <assert test="dim:Metric-Spec-Small/dim:Qual = 'M'"> "Metric-Spec-Small" qual must be M" </assert>
 	 <assert test="dim:Source-Handle-Reference"> "Source-Handle-Reference" must appear at least one as part of  the "Numeric:Weight" object </assert>
 	 <assert test="dim:Source-Handle-Reference/dim:Qual = 'M'"> "Source-Handle-Reference" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Weight" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Weight" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern></schema>