<?xml version="1.0" encoding="UTF-8"?><schema> 
 	 <ns uri="http://www.nist.gov/x73DIM" prefix="dim"/>
 <pattern name="Authorized objects">
 <rule context="//dim:OBJECT_NAME">
 <assert test="(.='Simple_MDS' and @Label='Pulse Oximeter')or(.='Enumeration' and @Label='Device and sensor annunciation status')or(.='Enumeration' and @Label='Physiological threshold')or(.='Enumeration' and @Label='Pulse event')or(.='Numeric' and @Label='Pulse amplitud')or(.='Numeric' and @Label='Pulse rate')or(.='Numeric' and @Label='Pulse rate slow acting')or(.='Numeric' and @Label='SpO2')or(.='Numeric' and @Label='SpO2 Fast-response')or(.='Numeric' and @Label='SpO2 Slow-response')or(.='Numeric' and @Label='SpO2 Spot-check')or(.='PM-Store' and @Label='')or(.='PM-Segment' and @Label='')or(.='PeriCfgScanner' and @Label='')">
 "<value-of select="."/>:<value-of select="@Label"/>" object is not allowed</assert></rule></pattern>
 <pattern name="Simple_MDS node"> 
 	 <rule context="//dim:Simple_MDS[dim:OBJECT_NAME/@Label='Pulse Oximeter']/dim:Attribute_Info"> 
 	 <assert test="dim:Dev-Configuration-Id"> "Dev-Configuration-Id" must appear at least one as part of  the "Simple_MDS:Pulse Oximeter" object </assert>
 	 <assert test="dim:Dev-Configuration-Id/dim:Qual = 'M'"> "Dev-Configuration-Id" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Simple_MDS:Pulse Oximeter" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:System-Id"> "System-Id" must appear at least one as part of  the "Simple_MDS:Pulse Oximeter" object </assert>
 	 <assert test="dim:System-Id/dim:Qual = 'M'"> "System-Id" qual must be M" </assert>
 	 <assert test="dim:System-Model"> "System-Model" must appear at least one as part of  the "Simple_MDS:Pulse Oximeter" object </assert>
 	 <assert test="dim:System-Model/dim:Qual = 'M'"> "System-Model" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Device and sensor annunciation status']/dim:Attribute_Info"> 
 	 <assert test="dim:Absolute-Time-Stamp"> "Absolute-Time-Stamp" must appear at least one as part of  the "Enumeration:Device and sensor annunciation status" object </assert>
 	 <assert test="dim:Absolute-Time-Stamp/dim:Qual = 'M'"> "Absolute-Time-Stamp" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Device and sensor annunciation status" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Device and sensor annunciation status" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Enumeration:Device and sensor annunciation status" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Physiological threshold']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Physiological threshold" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Physiological threshold" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Enumeration node"> 
 	 <rule context="//dim:Enumeration[dim:OBJECT_NAME/@Label='Pulse event']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Enumeration:Pulse event" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Enumeration:Pulse event" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Pulse amplitud']/dim:Attribute_Info"> 
 	 <assert test="dim:Absolute-Time-Stamp"> "Absolute-Time-Stamp" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Absolute-Time-Stamp/dim:Qual = 'M'"> "Absolute-Time-Stamp" qual must be M" </assert>
 	 <assert test="dim:Attribute-Value-Map"> "Attribute-Value-Map" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Attribute-Value-Map/dim:Qual = 'M'"> "Attribute-Value-Map" qual must be M" </assert>
 	 <assert test="dim:Basic-Nu-Observed-Value"> "Basic-Nu-Observed-Value" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Basic-Nu-Observed-Value/dim:Qual = 'M'"> "Basic-Nu-Observed-Value" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Pulse amplitud" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Pulse rate']/dim:Attribute_Info"> 
 	 <assert test="dim:Absolute-Time-Stamp"> "Absolute-Time-Stamp" must appear at least one as part of  the "Numeric:Pulse rate" object </assert>
 	 <assert test="dim:Absolute-Time-Stamp/dim:Qual = 'M'"> "Absolute-Time-Stamp" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Pulse rate" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Pulse rate" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:Pulse rate" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='Pulse rate slow acting']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:Pulse rate slow acting" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:Pulse rate slow acting" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='SpO2']/dim:Attribute_Info"> 
 	 <assert test="dim:Absolute-Time-Stamp"> "Absolute-Time-Stamp" must appear at least one as part of  the "Numeric:SpO2" object </assert>
 	 <assert test="dim:Absolute-Time-Stamp/dim:Qual = 'M'"> "Absolute-Time-Stamp" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:SpO2" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:SpO2" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 <assert test="dim:Unit-Code"> "Unit-Code" must appear at least one as part of  the "Numeric:SpO2" object </assert>
 	 <assert test="dim:Unit-Code/dim:Qual = 'M'"> "Unit-Code" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='SpO2 Fast-response']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:SpO2 Fast-response" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:SpO2 Fast-response" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='SpO2 Slow-response']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:SpO2 Slow-response" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:SpO2 Slow-response" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="Numeric node"> 
 	 <rule context="//dim:Numeric[dim:OBJECT_NAME/@Label='SpO2 Spot-check']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "Numeric:SpO2 Spot-check" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Measurement-Status"> "Measurement-Status" must appear at least one as part of  the "Numeric:SpO2 Spot-check" object </assert>
 	 <assert test="dim:Measurement-Status/dim:Qual = 'M'"> "Measurement-Status" qual must be M" </assert>
 	 <assert test="dim:Type"> "Type" must appear at least one as part of  the "Numeric:SpO2 Spot-check" object </assert>
 	 <assert test="dim:Type/dim:Qual = 'M'"> "Type" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="PM-Store node"> 
 	 <rule context="//dim:PM-Store[dim:OBJECT_NAME/@Label='']/dim:Attribute_Info"> 
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "PM-Store:" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Number-Of-Segments"> "Number-Of-Segments" must appear at least one as part of  the "PM-Store:" object </assert>
 	 <assert test="dim:Number-Of-Segments/dim:Qual = 'M'"> "Number-Of-Segments" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="PM-Segment node"> 
 	 <rule context="//dim:PM-Segment[dim:OBJECT_NAME/@Label='']/dim:Attribute_Info"> 
 	 <assert test="dim:Fixed-Segment-Data"> "Fixed-Segment-Data" must appear at least one as part of  the "PM-Segment:" object </assert>
 	 <assert test="dim:Fixed-Segment-Data/dim:Qual = 'M'"> "Fixed-Segment-Data" qual must be M" </assert>
 	 <assert test="dim:Instance-Number"> "Instance-Number" must appear at least one as part of  the "PM-Segment:" object </assert>
 	 <assert test="dim:Instance-Number/dim:Qual = 'M'"> "Instance-Number" qual must be M" </assert>
 	 <assert test="dim:PM-Segment-Entry-Map"> "PM-Segment-Entry-Map" must appear at least one as part of  the "PM-Segment:" object </assert>
 	 <assert test="dim:PM-Segment-Entry-Map/dim:Qual = 'M'"> "PM-Segment-Entry-Map" qual must be M" </assert>
 	 </rule> 
 	 </pattern><pattern name="PeriCfgScanner node"> 
 	 <rule context="//dim:PeriCfgScanner[dim:OBJECT_NAME/@Label='']/dim:Attribute_Info"> 
 	 <assert test="dim:Confirm-Mode"> "Confirm-Mode" must appear at least one as part of  the "PeriCfgScanner:" object </assert>
 	 <assert test="dim:Confirm-Mode/dim:Qual = 'M'"> "Confirm-Mode" qual must be M" </assert>
 	 <assert test="dim:Handle"> "Handle" must appear at least one as part of  the "PeriCfgScanner:" object </assert>
 	 <assert test="dim:Handle/dim:Qual = 'M'"> "Handle" qual must be M" </assert>
 	 <assert test="dim:Reporting-Interval"> "Reporting-Interval" must appear at least one as part of  the "PeriCfgScanner:" object </assert>
 	 <assert test="dim:Reporting-Interval/dim:Qual = 'M'"> "Reporting-Interval" qual must be M" </assert>
 	 </rule> 
 	 </pattern></schema>